| readit | sh | pdftotext, mpv,<br>pico2wave | Read a PDF or text file aloud |
| ringtone | sh | date, ffmpeg | Create a variable bitrate mp3 ringtone from file |
| splitjoin | sh | split, cat | Split file or join selection |
+| suedit | sh | sudoedit/sudo/doas | Edit file using superuser permissions |
| sxiv | sh | sxiv | View images in dir, set wallpaper, copy path ([config](https://wiki.archlinux.org/index.php/Sxiv#Assigning_keyboard_shortcuts))|
| thumb | sh | [lsix](https://github.com/hackerb9/lsix) | View thumbnail of an image or dir of images |
| transfer | sh | curl | Upload file to transfer.sh |
--- /dev/null
+#!/usr/bin/env sh
+
+# Description: Edit file as superuser
+#
+# Shell: POSIX compliant
+# Author: Anna Arad
+
+EDITOR="${EDITOR:-vim}"
+
+is_cmd_exists () {
+ which "$1" > /dev/null 2>&1
+ echo $?
+}
+
+if [ "$(is_cmd_exists sudoedit)" -eq "0" ]; then
+ sudoedit "$1"
+elif [ "$(is_cmd_exists sudo)" -eq "0" ]; then
+ sudo "$EDITOR" "$1"
+elif [ "$(is_cmd_exists doas)" -eq "0" ]; then
+ doas "$EDITOR" "$1"
+fi